
Foreman - Bug #16044

Errors in individual dashboard widgets fail entire page

08/10/2016 06:51 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Dashboard   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1353749 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3762

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1353749

Description of problem:

when using filters for Dashboard in Satellite 6.2 an sql error occurs.

Version-Release number of selected component (if applicable):

How reproducible:

Always

Steps to Reproduce:

1.Create filters for users.

2.login as user and press dashboard.

3.

Actual results:

Oops, we're sorry but something went wrong PG::Error: ERROR: missing FROM-clause entry for table "katello_host_collections"

LINE 1: ...id" IN (1) AND "hosts"."location_id" IN (2) AND (("katello_h... ^ : SELECT COUNT FROM (SELECT DISTINCT

"katello_errata"."id" AS count_column FROM "katello_errata" INNER JOIN "katello_content_facet_errata" ON

"katello_content_facet_errata"."erratum_id" = "katello_errata"."id" INNER JOIN "katello_content_facet_errata"

"content_facet_errata_katello_errata_join" ON "content_facet_errata_katello_errata_join"."erratum_id" = "katello_errata"."id" INNER

JOIN "katello_content_facets" ON "katello_content_facets"."id" = "content_facet_errata_katello_errata_join"."content_facet_id"

WHERE "katello_content_facets"."host_id" IN (SELECT "hosts"."id" FROM "hosts" WHERE "hosts"."type" IN ('Host::Managed') AND

"hosts"."organization_id" IN (1) AND "hosts"."location_id" IN (2) AND (("katello_host_collections"."name" ILIKE 'oss%'))) LIMIT 6)

subquery_for_count

Expected results:

Seeing the dashboard.

Additional info:

Related issues:

Related to Foreman - Tracker #8107: Dashboard refactoring tracker New 10/26/2014

Related to OpenSCAP - Bug #16123: After upgrade "undefined method `name' for ... Closed 08/16/2016

Related to Katello - Bug #14429: Katello - deleting version 1 and associated ... Rejected 03/31/2016

Related to Foreman - Bug #16238: dashboard widget for latests events can be e... Closed 08/23/2016

Related to Foreman - Bug #16260: Intermittent DashboardIntegrationTest failures Closed 08/24/2016

Related to Foreman - Refactor #8108: use AJAX to load Dashboard widgets Resolved 10/26/2014

Related to Foreman - Bug #16358: smart proxy puppet dashboard is broken Closed 08/29/2016

Related to Foreman - Bug #16702: dashboard widgets ignore filters Closed 09/27/2016

Related to Foreman - Refactor #16723: Lazy load data for dashboard widgets Closed 09/28/2016

Related to Foreman - Bug #15287: link in graph on Smart proxy -> Puppet page ... Closed 06/03/2016

Related to Foreman - Bug #16704: Searching fails on dashboard Closed 09/27/2016
Related to Katello - Bug #17244: Error accessing dashboard when user has filt... Closed 11/07/2016

Has duplicate Foreman - Bug #11316: A bad widget breaks the entire dashboard Duplicate 08/07/2015

Associated revisions

Revision 8685d606 - 08/23/2016 10:32 AM - Tomer Brisker

Fixes #16044 - Load dashboard widgets via ajax

This speeds up dasboard loading as widgets are loaded in the background

and do not block rendering, as well as allow the dashboard to load

correctly even if some of the widgets are broken.

History

#1 - 08/10/2016 06:52 AM - Daniel Lobato Garcia

- Target version set to 117

Cloned this to Foreman because we should handle dashboard failures from plugin gracefully (currently they break the entire page if just one widget

fails)

#2 - 08/10/2016 06:58 AM - Dominic Cleal

- Subject changed from ActiveRecord::StatementInvalid in dashboard to Errors in individual dashboard widgets fail entire page

- Category set to Dashboard

- Priority changed from High to Normal

#3 - 08/10/2016 07:59 AM - Daniel Lobato Garcia

- Target version changed from 117 to 1.6.2

#4 - 08/10/2016 08:00 AM - Tomer Brisker

- Status changed from New to Assigned

- Assignee set to Tomer Brisker

#5 - 08/22/2016 10:51 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3762 added

#6 - 08/22/2016 10:57 AM - Tomer Brisker

- Related to Tracker #8107: Dashboard refactoring tracker added

#7 - 08/23/2016 02:52 AM - Tomer Brisker

- Related to Bug #16123: After upgrade "undefined method `name' for nil:NilClass" when visiting dashboard (oscap widget) added

#8 - 08/23/2016 02:55 AM - Tomer Brisker

- Related to Bug #14429: Katello - deleting version 1 and associated content views caused undefined method `name' for nil:NilClass  added

#9 - 08/23/2016 03:51 AM - Ohad Levy

- Related to Bug #16238: dashboard widget for latests events can be exteramlly slow added

#10 - 08/23/2016 11:03 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8685d6060088563e42456929531b7c2cac103d44.

#11 - 08/24/2016 03:00 AM - Dominic Cleal

- Related to Bug #16260: Intermittent DashboardIntegrationTest failures added

#12 - 08/24/2016 03:01 AM - Dominic Cleal

- translation missing: en.field_release set to 160
#13 - 08/25/2016 08:39 AM - Tomer Brisker

- Related to Refactor #8108: use AJAX to load Dashboard widgets added

#14 - 08/29/2016 03:04 AM - Tomer Brisker

- Related to Bug #16358: smart proxy puppet dashboard is broken added

#15 - 09/27/2016 07:54 AM - Dominic Cleal

- Related to Bug #16702: dashboard widgets ignore filters added

#16 - 09/29/2016 03:42 AM - Dominic Cleal

- Related to Refactor #16723: Lazy load data for dashboard widgets added

#17 - 12/01/2016 08:51 AM - Tomer Brisker

- Related to Bug #15287: link in graph on Smart proxy -> Puppet page have "undefined" as smart proxy name added

#18 - 12/13/2016 03:45 AM - Tomer Brisker

- Related to Bug #16704: Searching fails on dashboard added

#19 - 12/13/2016 03:45 AM - Tomer Brisker

- Related to Bug #17244: Error accessing dashboard when user has filtered access to hosts added

#20 - 12/13/2016 09:07 AM - Tomer Brisker

- Has duplicate Bug #11316: A bad widget breaks the entire dashboard added
